com.saxonica.bytecode.util

## Class ByteCodeTrace

- java.lang.Object
- - com.saxonica.bytecode.util.ByteCodeTrace

-     public class ByteCodeTrace
      extends Object

  Calls to this class are inserted into the bytecode for debugging purposes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteCodeTrace()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `breakpoint(Object obj)` Ad-hoc method for use as a debugging breakpoint
    `static void` | `showDoubleVariable(double value, String variable)` Output a message to identify the contents of a variable (which must hold a double)
    `static void` | `showIntVariable(String variable, int value)` Output a message to identify the contents of a variable (which must hold a int)
    `static void` | `showLongVariable(String variable, long value)` Output a message to identify the contents of a variable (which must hold a long)
    `static void` | `showMessage(String message)` Output a simple message
    `static void` | `showObjectVariable(String variable, String value)` Output a message to identify the contents of a variable (which must hold an Object)
    `static void` | `trace(int n)` Implement a trace point

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteCodeTrace

          public ByteCodeTrace()

  - ### Method Detail

    - #### trace

          public static void trace(int n)

      Implement a trace point
      Parameters:
        `n` - the number allocated to the trace point

    - #### showMessage

          public static void showMessage(String message)

      Output a simple message
      Parameters:
        `message` - the message

    - #### showObjectVariable

          public static void showObjectVariable(String variable,
                                String value)

      Output a message to identify the contents of a variable (which must hold an Object)
      Parameters:
        `variable` - the name of the variable
        `value` - the value of the variable

    - #### showLongVariable

          public static void showLongVariable(String variable,
                              long value)

      Output a message to identify the contents of a variable (which must hold a long)
      Parameters:
        `variable` - the name of the variable
        `value` - the value of the variable

    - #### showIntVariable

          public static void showIntVariable(String variable,
                             int value)

      Output a message to identify the contents of a variable (which must hold a int)
      Parameters:
        `variable` - the name of the variable
        `value` - the value of the variable

    - #### showDoubleVariable

          public static void showDoubleVariable(double value,
                                String variable)

      Output a message to identify the contents of a variable (which must hold a double)
      Parameters:
        `variable` - the name of the variable
        `value` - the value of the variable

    - #### breakpoint

          public static void breakpoint(Object obj)

      Ad-hoc method for use as a debugging breakpoint
      Parameters:
        `obj` - not currently used

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.